package de.votian.services.entity;

import java.io.Serializable;
import java.util.Objects;

public class JobPriceId implements Serializable {

    private Long jobId;
    private Integer metaSort;

    public JobPriceId() {}

    public JobPriceId(Long jobId, Integer metaSort) {
        this.jobId = jobId;
        this.metaSort = metaSort;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        JobPriceId that = (JobPriceId) o;
        return Objects.equals(jobId, that.jobId) && Objects.equals(metaSort, that.metaSort);
    }

    @Override
    public int hashCode() {
        return Objects.hash(jobId, metaSort);
    }
}
